Subject: Re: bug#36454: 26.2.90; feature request - Insert char by hex tab completion or C-x 8 RET ffe <TAB>

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Jul 2019 17:57:55 +0300

> Date: Fri, 19 Jul 2019 14:38:40 +0000 (UTC)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>         [email-masked]
> 
> > Completion is a very poor means for discovery and browsing.
> [...]
> 2. I disagree that it is true.  I would suggest/guess
>    that you just don't have sufficient experience with
>    a better completion UI than that offered by `emacs -Q'.
>    Ask users of Ivy or Helm whether they use completion
>    that way.

Since this feature is proposed for core Emacs, we are by definition
talking about "emacs -Q", not about Ivy or Helm.  The latter have
infrastructure on which to build the feature you want without any
changes in core.

> > it can be used for that, but with very low efficiency and user-friendliness.
> 
> That's too big a generalization to be helpful in this
> discussion.

Generalizations are sometimes useful tools for making decisions and
getting one's point across.

> > So we should not judge the need for completion by considering any use
> > cases other than just completion, i.e. finding a specific character or
> > a small group of related characters.
> 
> Need?  How about value and usefulness?

Indeed, I think it would be useless, even harmful.